﻿* {
    box-sizing: border-box
}

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin: auto;
    display: flex;
    flex-flow: column nowrap;
}

.generic-anchor {
    color: white;
}

.generic-anchor:visited {
    color: white;
}

.generic-anchor:hover {
    color: #878D8D;
    text-decoration: none;
}

.flex-rw {
    display: flex;
    flex-flow: row wrap;
}

footer {
    background-color: #474747;
    margin-top: auto;
    width: 100%;
    border-top: 1px solid #5696D8;
}

.footer-list-top {
    width: 33.333%;
    margin-left: 0;
    padding-left: 0;
}

.footer-list-top > li {
    text-align: center;
    padding-bottom: 10px;
}

.footer-list-header {
    padding: 10px 0 5px 0;
    text-align: center;
    color: #878D8D;
    font-size: 25px;
    font-family: 'Baskerville Old Face';
}

.footer-list-header h4{
    color: #878D8D;
}

.footer-list-anchor {
    font-size: 16px;
    list-style: square;
    font-family: 'Baskerville Old Face';
}

.footer-social-section {
    width: 100%;
    align-items: center;
    justify-content: space-around;
    position: relative;
    margin-top: 20px;
    margin-bottom: 20px;
}

.footer-social-section::after {
    content: "";
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 10px;
    border-top: 1px solid white;
    width: calc(100% - 20px)
}

.footer-social-overlap {
    position: relative;
    z-index: 2;
    background-color: #474747;
    padding: 0 20px
}

.footer-social-connect {
    display: flex;
    align-items: center;
    font-size: 23px;
    font-family: 'Baskerville Old Face';
    color: white
}

.footer-social-small {
    font-size: 17px;
    font-family: 'Baskerville Old Face';
    padding: 0px 20px
}

.footer-social-overlap > a {
    font-size: 23px;
}

.footer-social-overlap > a:not(:first-child) {
    margin-left: 15px;
}

.footer-bottom-section {
    width: 100%;
    padding: 0 2px 10px 0px;
}

.footer-bottom-section > div:first-child {
    margin-right: auto;
}

.footer-bottom-wrapper {
    font-size: 15px;
    font-family: 'Baskerville Old Face';
    color: #fff;
    margin: 0px 10px;
}

.footer-bottom-wrapper a, .footer-bottom-wrapper a:visited {
    color: #5696D8;
}

.footer-bottom-wrapper a:hover {
    color: #878D8D;
    text-decoration: none;
}

@media only screen and (max-width: 768px) {
    .footer-list-header {
        font-size: 24px;
    }

    .footer-list-anchor {
        font-size: 16px;
    }

    .footer-social-connect {
        font-size: 23px;
    }

    .footer-social-overlap > a {
        font-size: 23px;
    }

    .footer-bottom-section {
        padding: 0 2px 10px 5px
    }

    .footer-bottom-wrapper {
        font-size: 15px;
    }
}

@media only screen and (max-width: 568px) {
    .footer-list-top {
        width: 100%
    }

    .footer-list-header {
        font-size: 23px;
    }

    .footer-list-anchor {
        font-size: 16px;
    }

    .footer-social-section {
        justify-content: center
    }

    .footer-social-section::after {
        top: 25%
    }

    .footer-social-connect {
        margin-bottom: 10px;
        padding: 0 10px
    }

    .footer-social-overlap {
        display: flex;
        justify-content: center;
    }

    .footer-social-icons-wrapper {
        width: 100%;
        padding: 0
    }

    .footer-social-overlap > a:not(:first-child) {
        margin-left: 20px;
    }

    .footer-bottom-section {
        padding: 0 5px 10px 5px
    }

    .footer-bottom-wrapper {
        text-align: center;
        width: 100%;
        margin-top: 10px;
        font-size: 15px
    }
}

@media only screen and (max-width: 480px) {
    .footer-social-overlap > a {
        margin: auto
    }

    .footer-social-overlap > a:not(:first-child) {
        margin-left: 0;
    }

    .footer-bottom-rights {
        display: block
    }

    .footer-list-header {
        font-size: 22px;
    }

    .footer-list-anchor {
        font-size: 15px
    }

    .footer-bottom-wrapper {
        font-size: 15px;
    }
}

@media only screen and (max-width: 320px) {
    .footer-list-header {
        font-size: 21px;
    }

    .footer-list-anchor {
        font-size: 14px;
    }

    .footer-social-connect {
        font-size: 21px;
    }

    .footer-social-overlap > a {
        font-size: 21px;
    }

    .footer-bottom-wrapper {
        font-size: 13px;
    }
}